Bug 205333 - profiler applet attach fails if NetBeans is installed to directory with spaces in the name
profiler applet attach fails if NetBeans is installed to directory with space...
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Attach
7.1
PC Linux
: P3 (vote)
: 7.2
Assigned To: J Bachorik
issues@profiler
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-21 01:16 UTC by gholmer
Modified: 2012-04-03 11:15 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gholmer 2011-11-21 01:16:46 UTC
Follow steps in profiler test suite TS71, section 10.3 (Local - Direct - Applet).

0) Click "change..." link for Attach Mode at bottom of "Attach Profiler" dialog.
1) Select target type Appler, attach method "Local", attach invocation "Direct".
2) Click Next button twice. On "Manual Integration" panel, select "Java SE 7.0".
3) In Step 2, "insert following string", attach will fail if NetBeans has been installed to a directory with spaces in the name, e.g. -agentpath:/mnt/common/NetBeans 7.1/profiler... must be -agentpath:"/mnt/common/NetBeans 7.1/profiler..."
Comment 1 J Bachorik 2012-03-30 15:11:03 UTC
fixed http://hg.netbeans.org/profiler-main/rev/954065f7c105
Comment 2 Quality Engineering 2012-04-03 11:15:39 UTC
Integrated into 'main-golden', will be available in build *201204030400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/954065f7c105
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #205333: Enclosing path to profiler binaries in double quotes in case it contains space


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo